// vim: sw=4:ts=4:nu:nospell:fdc=4
/*global Ext:true */
/*jslint browser: true, devel:true, sloppy: true, white: true, plusplus: true */

/*
 This file is part of Jozi Grid MultiSort Feature Example Application

 Copyright (c) 2014, Jozef Kejst

 Package:  jozi-grid-multisort
 Author:   Jozef Kejst
 Contact:  http://extjs.eu/contact
 Date:     24. February 2015
 Version:  1.0.0

 Commercial License
 Developer, or the specified number of developers, may use this file in any number
 of projects during the license period in accordance with the license purchased.

 Uses other than including the file in the project are prohibited.
 See http://extjs.eu/licensing for details.
 */
Ext.define('Gmsrt.view.CitiesGridView', {
     extend:'Ext.grid.Panel'
    ,requires:['Ext.ux.grid.MultiSort','Ext.toolbar.Paging','Ext.util.Point']
    ,alias:'widget.citiesgrid'
    ,pageSize:15
    ,stateId:'cities-grid-gmsrt'
    ,stateful:true

    ,initComponent:function() {
        var me = this;

        Ext.applyIf(me,{
             store:'CityStore'
            ,features:[{
                 ftype:'ux-gmsrt'
                ,displaySortOrder:true
            }]
            ,dockedItems:[{
                 xtype:'pagingtoolbar'
                ,dock: 'bottom'
                ,store:'CityStore'
                ,displayInfo:true
            }]
            ,columns:[{
                 text:'Country'
                ,dataIndex:'countryCode'
                ,sortable:true
                ,flex:0.85
            },{
                 text:'City'
                ,dataIndex:'name'
                ,sortable:true
                ,flex:1.5
            },{
                 text:'Population'
                ,dataIndex:'population'
                ,sortable:true
                ,flex:0.85
                ,align:'right'
                ,format:'0,000'
            },{
                 text:'Latitude'
                ,dataIndex:'latitude'
                ,renderer:Ext.util.Format.numberRenderer('0.00000')
                ,align:'right'
                ,sortable:true
                ,flex:0.8
            },{
                 text:'Longitude'
                ,dataIndex:'longitude'
                ,renderer:Ext.util.Format.numberRenderer('0.00000')
                ,align:'right'
                ,sortable:true
                ,flex:0.8
            },{
                 text:'Elevation'
                ,dataIndex:'gtopo30'
                ,sortable:true
                ,flex:0.85
                ,renderer:Ext.util.Format.numberRenderer('0,000')
                ,align:'right'
            }]
        });
        me.callParent(arguments);
    }

});
// eof